Description: I’'m not quite sure if i'm to stupid to find the Funktion and this is a Support request or there is no such
functionality and this is a feature request ... but | search/want something like:

The \element{xxx} \shufflegroup{xxx} \insertgroup[xxx] commands (that already exist for questions) in an

equal manner for "choices" like:

<pre>
\celement{choicesC} {
\correctchoice{BLA1}
\correctchoice{BLA2}

}

\celement{choicesW} {
\wrongchoice{BLA3}
\wrongchoice{BLA4}
\wrongchoice{BLA5}

}

\element{question1}{
\begin{question}{1}
\begin{choices}
\cshufflegroup{choices1C}
\cinsertgroup[1]{choices1C}
\cshufflegroup{choices1W}
\cinsertgroup[2]{choices1W}
\end{choices}
\end{question}

}

</pre>

or even better

<pre>
\celement{choices1} {
\wrongchoice{BLA1}
\wrongchoice{BLA3}
\correctchoice{BLA2}
\correctchoice{BLA4}

}

\element{question1}{
\begin{question}{1}
\begin{choices}
\cshufflegroup{choices1}

\cinsertgroup[1][2]{choices1} % arg1 = amount of correctchoice | arg2 = amount of wrongchoice

\end{choices}
\end{question}

}

</pre>

History

12/19/2013 09:43 am - Alexis Bienveniie
- Description changed from IA'm not quite sure if iA'm to stupid to find the Funktion and this is a Support request or there is no such functionality and
this is a feature request ... but | search/want something like:

The \element{xxx} \shufflegroup{xxx} \insertgroup[xxx] commands (that already exist for questions) in an equal manner for "choices" like:

@\celement{choicesC} {
\correctchoice{BLAT}
\correctchoice{BLA2}

}

\celement{choicesW} {
\wrongchoice{BLA3}
\wrongchoice{BLA4}
\wrongchoice{BLA5}

}

\element{question1}{
\begin{question}{1}
\begin{choices}
\cshufflegroup{choices1C}
\cinsertgroup[1]{choices1C}
\cshufflegroup{choices 1W}
\cinsertgroup[2]{choices 1 W}
lend{choices}
\lend{question}

J@

or even better

@\celement{choices1} {
\wrongchoice{BLA1}
\wrongchoice{BLA3}
\correctchoice{BLA2}
\correctchoice{BLA4}

}

\element{question1}{
\begin{question}{1}
\begin{choices}
\cshufflegroup{choices1}
\cinsertgroup(1][2]{choices1} % arg1 = amount of correctchoice | arg2 = amount of wrongchoice
\lend{choices}
\lend{question}
J@
to IA°m not quite sure if iA'm to stupid to find the Funktion and this is a Support request or there is no such functionality and this is a feature request ...
but | search/want something like:

The \element{xxx} \shufflegroup{xxx} \insertgroup[xxx] commands (that already exist for questions) in an equal manner for "choices" like:

<pre>
\celement{choicesC} {
\correctchoice{BLA1}
\correctchoice{BLA2}

}

\celement{choicesW} {
\wrongchoice{BLA3}
\wrongchoice{BLA4}
\wrongchoice{BLA5}

}

\element{question1}{
\begin{question}{1}
\begin{choices}
\cshufflegroup{choices1C}
\cinsertgroup(1]{choices1C}
\cshufflegroup{choices1W}
\cinsertgroup[2]{choices1W}
\end{choices}
\end{question}

}

</pre>

or even better

<pre>
\celement{choices1} {
\wrongchoice{BLA1}
\wrongchoice{BLA3}
\correctchoice{BLA2}
\correctchoice{BLA4}

}

lelement{question1}{

\begin{question}{1}

\begin{choices}

\cshufflegroup{choices1}

\cinsertgroup(1][2]{choices1} % arg1 = amount of correctchoice | arg2 = amount of wrongchoice
\end{choices}

\lend{question}

}

</pre>

10/31/2014 07:04 pm - Alexis Bienveniie
- File rc.tex added
- File rc.pdf added

Here is one proposal. It does not work without the @[o]@, | don't know why, but this is not a problem since the @answersgroup@ is shuffled before

insertion.

01/28/2021 08:45 pm - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
rc.tex 1.1 kB 10/31/2014 Alexis Bienveniie
rc.pdf 63.3 kB 10/31/2014 Alexis Bienvenlie
